NX Open C++ Reference Guide
|
Represents a Sheetmetal Bend Options class. More...
Public Types | |
enum | BendReliefTypeOptions { BendReliefTypeOptionsNone, BendReliefTypeOptionsSquare, BendReliefTypeOptionsRound } |
This enum represents the bend relief type. More... | |
enum | CornerReliefTypeOptions { CornerReliefTypeOptionsNone, CornerReliefTypeOptionsBendOnly, CornerReliefTypeOptionsBendAndFace, CornerReliefTypeOptionsBendAndFaceChain } |
This enum represents the corner relief type. More... | |
Public Member Functions | |
NXOpen::Expression * | BendRadius () |
Returns the bend radius. | |
NXOpen::Expression * | BendReliefDepth () |
Returns the bend relief depth. | |
NXOpen::Features::SheetMetal::BendOptions::BendReliefTypeOptions | BendReliefType () |
Returns the bend relief type. | |
NXOpen::Expression * | BendReliefWidth () |
Returns the bend relief width. | |
NXOpen::Features::SheetMetal::BendOptions::CornerReliefTypeOptions | CornerReliefType () |
Returns the corner relief type. | |
bool | ExtendBendRelief () |
Returns the option to extend the bend relief if required. | |
NXOpen::Expression * | NeutralFactor () |
Returns the neutral factor. | |
void | SetBendRadius (const NXString &radius) |
Sets the bend radius. | |
void | SetBendRadius (const char *radius) |
Sets the bend radius. | |
void | SetBendReliefDepth (const NXString &depth) |
Sets the bend relief depth. | |
void | SetBendReliefDepth (const char *depth) |
Sets the bend relief depth. | |
void | SetBendReliefType (NXOpen::Features::SheetMetal::BendOptions::BendReliefTypeOptions type) |
Sets the bend relief type. | |
void | SetBendReliefWidth (const NXString &width) |
Sets the bend relief width. | |
void | SetBendReliefWidth (const char *width) |
Sets the bend relief width. | |
void | SetCornerReliefType (NXOpen::Features::SheetMetal::BendOptions::CornerReliefTypeOptions type) |
Sets the corner relief type. | |
void | SetExtendBendRelief (bool extend) |
Sets the option to extend the bend relief if required. | |
void | SetNeutralFactor (const NXString &neutralFactor) |
Sets the neutral factor. | |
void | SetNeutralFactor (const char *neutralFactor) |
Sets the neutral factor. | |
void | SetUseGlobalBendRadius (bool useGlobalBendRadius) |
Sets the Use Global Bend Radius toggle. | |
void | SetUseGlobalNeutralFactor (bool useGlobalNeutralFactor) |
Sets the Use Global Neutral Factor toggle. | |
void | SetUseGlobalReliefDepth (bool useGlobalReliefDepth) |
Sets the Use Global Relief Depth toggle. | |
void | SetUseGlobalReliefWidth (bool useGlobalReliefWidth) |
Sets the Use Global Relief Width toggle. | |
bool | UseGlobalBendRadius () |
Returns the Use Global Bend Radius toggle. | |
bool | UseGlobalNeutralFactor () |
Returns the Use Global Neutral Factor toggle. | |
bool | UseGlobalReliefDepth () |
Returns the Use Global Relief Depth toggle. | |
bool | UseGlobalReliefWidth () |
Returns the Use Global Relief Width toggle. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
NXOpen::Expression* NXOpen::Features::SheetMetal::BendOptions::BendRadius | ( | ) |
Returns the bend radius.
Created in NX4.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::SheetMetal::BendOptions::BendReliefDepth | ( | ) |
Returns the bend relief depth.
Applicable only if Features::SheetMetal::BendOptions::BendReliefType is set to a value other than Features::SheetMetal::BendOptions::BendReliefTypeOptionsNone .
Created in NX4.0.0.
License requirements : None
NXOpen::Features::SheetMetal::BendOptions::BendReliefTypeOptions NXOpen::Features::SheetMetal::BendOptions::BendReliefType | ( | ) |
Returns the bend relief type.
<br> Specify @link Features::SheetMetal::BendOptions::BendReliefTypeOptionsNone Features::SheetMetal::BendOptions::BendReliefTypeOptionsNone@endlink if you do not want a bend relief. Specify @link Features::SheetMetal::BendOptions::BendReliefTypeOptionsSquare Features::SheetMetal::BendOptions::BendReliefTypeOptionsSquare@endlink for a square/rectangular bend relief. Specify @link Features::SheetMetal::BendOptions::BendReliefTypeOptionsRound Features::SheetMetal::BendOptions::BendReliefTypeOptionsRound@endlink for a rounded bend relief. <br>
Created in NX4.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::SheetMetal::BendOptions::BendReliefWidth | ( | ) |
Returns the bend relief width.
Applicable only if Features::SheetMetal::BendOptions::BendReliefType is set to a value other than Features::SheetMetal::BendOptions::BendReliefTypeOptionsNone .
Created in NX4.0.0.
License requirements : None
NXOpen::Features::SheetMetal::BendOptions::CornerReliefTypeOptions NXOpen::Features::SheetMetal::BendOptions::CornerReliefType | ( | ) |
Returns the corner relief type.
Use one of the values from Features::SheetMetal::BendOptions::CornerReliefTypeOptions .
Created in NX4.0.0.
License requirements : None
bool NXOpen::Features::SheetMetal::BendOptions::ExtendBendRelief | ( | ) |
Returns the option to extend the bend relief if required.
This only applies if the bend relief type is set to a value other than Features::SheetMetal::BendOptions::BendReliefTypeOptionsNone .
Created in NX4.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::SheetMetal::BendOptions::NeutralFactor | ( | ) |
Returns the neutral factor.
Created in NX4.0.0.
License requirements : None
void NXOpen::Features::SheetMetal::BendOptions::SetBendRadius | ( | const NXString & | radius | ) |
Sets the bend radius.
Created in NX4.0.0.
License requirements : None
radius | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::BendOptions::SetBendRadius | ( | const char * | radius | ) |
Sets the bend radius.
Created in NX4.0.0.
License requirements : None
radius | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::BendOptions::SetBendReliefDepth | ( | const NXString & | depth | ) |
Sets the bend relief depth.
Applicable only if Features::SheetMetal::BendOptions::BendReliefType is set to a value other than Features::SheetMetal::BendOptions::BendReliefTypeOptionsNone .
Created in NX4.0.0.
License requirements : None
depth | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::BendOptions::SetBendReliefDepth | ( | const char * | depth | ) |
Sets the bend relief depth.
Applicable only if Features::SheetMetal::BendOptions::BendReliefType is set to a value other than Features::SheetMetal::BendOptions::BendReliefTypeOptionsNone .
Created in NX4.0.0.
License requirements : None
depth | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::BendOptions::SetBendReliefType | ( | NXOpen::Features::SheetMetal::BendOptions::BendReliefTypeOptions | type | ) |
Sets the bend relief type.
<br> Specify @link Features::SheetMetal::BendOptions::BendReliefTypeOptionsNone Features::SheetMetal::BendOptions::BendReliefTypeOptionsNone@endlink if you do not want a bend relief. Specify @link Features::SheetMetal::BendOptions::BendReliefTypeOptionsSquare Features::SheetMetal::BendOptions::BendReliefTypeOptionsSquare@endlink for a square/rectangular bend relief. Specify @link Features::SheetMetal::BendOptions::BendReliefTypeOptionsRound Features::SheetMetal::BendOptions::BendReliefTypeOptionsRound@endlink for a rounded bend relief. <br>
Created in NX4.0.0.
License requirements : None
type | type |
void NXOpen::Features::SheetMetal::BendOptions::SetBendReliefWidth | ( | const NXString & | width | ) |
Sets the bend relief width.
Applicable only if Features::SheetMetal::BendOptions::BendReliefType is set to a value other than Features::SheetMetal::BendOptions::BendReliefTypeOptionsNone .
Created in NX4.0.0.
License requirements : None
width | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::BendOptions::SetBendReliefWidth | ( | const char * | width | ) |
Sets the bend relief width.
Applicable only if Features::SheetMetal::BendOptions::BendReliefType is set to a value other than Features::SheetMetal::BendOptions::BendReliefTypeOptionsNone .
Created in NX4.0.0.
License requirements : None
width | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::BendOptions::SetCornerReliefType | ( | NXOpen::Features::SheetMetal::BendOptions::CornerReliefTypeOptions | type | ) |
Sets the corner relief type.
Use one of the values from Features::SheetMetal::BendOptions::CornerReliefTypeOptions .
Created in NX4.0.0.
License requirements : None
type | type |
void NXOpen::Features::SheetMetal::BendOptions::SetExtendBendRelief | ( | bool | extend | ) |
Sets the option to extend the bend relief if required.
This only applies if the bend relief type is set to a value other than Features::SheetMetal::BendOptions::BendReliefTypeOptionsNone .
Created in NX4.0.0.
License requirements : None
extend | extend |
void NXOpen::Features::SheetMetal::BendOptions::SetNeutralFactor | ( | const NXString & | neutralFactor | ) |
Sets the neutral factor.
Created in NX4.0.0.
License requirements : None
neutralFactor | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::BendOptions::SetNeutralFactor | ( | const char * | neutralFactor | ) |
Sets the neutral factor.
Created in NX4.0.0.
License requirements : None
neutralFactor | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::BendOptions::SetUseGlobalBendRadius | ( | bool | useGlobalBendRadius | ) |
Sets the Use Global Bend Radius toggle.
Created in NX6.0.0.
License requirements : None
useGlobalBendRadius | useglobalbendradius |
void NXOpen::Features::SheetMetal::BendOptions::SetUseGlobalNeutralFactor | ( | bool | useGlobalNeutralFactor | ) |
Sets the Use Global Neutral Factor toggle.
Created in NX6.0.0.
License requirements : None
useGlobalNeutralFactor | useglobalneutralfactor |
void NXOpen::Features::SheetMetal::BendOptions::SetUseGlobalReliefDepth | ( | bool | useGlobalReliefDepth | ) |
Sets the Use Global Relief Depth toggle.
Created in NX6.0.0.
License requirements : None
useGlobalReliefDepth | useglobalreliefdepth |
void NXOpen::Features::SheetMetal::BendOptions::SetUseGlobalReliefWidth | ( | bool | useGlobalReliefWidth | ) |
Sets the Use Global Relief Width toggle.
Created in NX6.0.0.
License requirements : None
useGlobalReliefWidth | useglobalreliefwidth |
bool NXOpen::Features::SheetMetal::BendOptions::UseGlobalBendRadius | ( | ) |
Returns the Use Global Bend Radius toggle.
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::SheetMetal::BendOptions::UseGlobalNeutralFactor | ( | ) |
Returns the Use Global Neutral Factor toggle.
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::SheetMetal::BendOptions::UseGlobalReliefDepth | ( | ) |
Returns the Use Global Relief Depth toggle.
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::SheetMetal::BendOptions::UseGlobalReliefWidth | ( | ) |
Returns the Use Global Relief Width toggle.
Created in NX6.0.0.
License requirements : None